/*
 * ParseValueException.java
 * Part of the B'am library - a collection of general-purpose utility classes.
 * 
 * Copyright (C)2006 Stephen Battey
 * Contact: resource@lucidviews.net
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

package net.lucidviews.util.text;


/**
 * Exception thrown by the <code>parse<i>Value</i></code> methods of the
 * <code>Strings</code> class when the <code>String</code> value is invalid.
 * <br />
 * <br />
 * @author Stephen Battey
 * @version $Revision: 1.2 $
 * @since 1.0
 */
public class ParseValueException extends Exception
{

	/*
	 * Constructor(s)
	 */

	/**
	 * Create a parsing exception with no information.
	 */
	public ParseValueException()
	{
		super();
	}

	/**
	 * Create a parsing exception with a descriptive message.
	 * <br />
	 * <br />
	 * @param message a message describing the error
	 */
	public ParseValueException( String message )
	{
		super( message );
	}

	/**
	 * Create a parsing exception with a descriptive message.
	 * <br />
	 * <br />
	 * @param message a message describing the error
	 * @param rootCause the error that caused the parse to fail
	 */
	public ParseValueException( String message, Throwable rootCause )
	{
		super( message, rootCause );
	}

}


/*
 * Change History
 *
 * $Log: ParseValueException.java,v $
 * Revision 1.2  2006/09/06 20:52:02  Steve
 * Added legal disclaimer.
 *
 * Revision 1.1  2006/05/03 21:14:30  Steve
 * Initial revision.
 *
 */
